Nathan's Wallpaper Setter 0.6

Nathan wrote this a long time ago (Nathan created Grafpup, a very nice Puppy derivative). The Wallpaper app has been hacked on by various people, including me, and the last version was 0.5.6 -- which is buggy, so I dropped it in favour of Pwallpaper (now at 1.1.2-1) which is an app discovered by ttuuxxx.

01micko and zigbert have been hacking on Nathan's Wallpaper Setter and have released version 0.6, which I presume is in Lucid 5.2.6RC.

However, it has a bug, and I have been trying to refresh my memory about this... it has been awhile... the app has lost the ability to crop images for widescreens.

Woof has rootfs-skeleton/usr/sbin/set_bg, which came out of an earlier Nathan's Wallpaper Setter. It has a modification to crop the image for wide screens.

The original Pwallpaper C source was modified by ttuuxxx to call set_bg (then by me to specify path /usr/sbin/set_bg) -- see pwallpaper.c in pwallpaper-1.1.1.tar.gz in my sources repo.

The latest Nathan's Wallpaper is calling it's own internal /usr/local/apps/Wallpaper/set_bg, which doesn't have the image cropping.

Note also, the original image gets moved to /usr/share/backgrounds_original.

The fix seems to be simple, just get Nathan's Wallpaper Setter to call /usr/sbin/set_bg -- I did a quick test, seems to work ok.

I'll send a pm to 01micko to get the app upgraded with the fix.

Forum link:
http://www.murga-linux.com/puppy/viewtopic.php?t=69658


Posted on 3 Aug 2011, 19:23


Comments:

Posted on 3 Aug 2011, 19:37 by BarryK
gtkdialog version
Note that Wallpaper 0.6 does not work properly with the gtkdialog that we have been using up to now, it needs at least this:

http://distro.ibiblio.org/quirky/pet_packages-common/gtkdialog3-0.7.20-thunor-rev83-w5.pet

However, thunor, the guy who is doing much of the work improving gtkdialog, has actually bumped the version number to 0.7.21, so the next PET I create will have that number (intend to do that tonight).

I also plan to name it 'gtkdialog-0.7.21-revnnn.pet', that is, drop the "3" off "gtkdialog3".

So, I have some advice for all developers who are using thunor's improved gtkdialog, when you create a PET please put in the dependencies field:

|+gtkdialog&ge0.7.21|

Woof now supports versioning of dependencies.

There is the question of backwards compatibility I do hope that thunor's enhanced gtkdialog is still compatible with all the current packages/scripts that use gtkdialog3.
I really don't want to have to name thunor's app as 'gtkdialog4'!



Posted on 4 Aug 2011, 14:37 by 01micko
wallpaper
Hi Barry
Ok, I updated to 0.6.1 with widescreen cropping re-enabled. I took a slightly different approach for backward compatibility, since the wallpaper setter works in Puppy-4.2.1 with your older wary (rev-73?) gtkdialog pet and the addition of libgio. (probably 421 too).

I moved the correct set_bg script into the wallpaper directory but added a test for existence of /usr/sbin/background_reshape (see comment in script, legacy). I left out the fancy menubar stuff (left the basics), calls are made to default apps anyway so I couldn't see the point in having it (you'll see what I mean if you do a diff)

Also added the +gtkdialog&ge0.7.21 to dependencies field.

http://www.murga-linux.com/puppy/viewtopic.php?p=541353#541353



Posted on 4 Aug 2011, 21:00 by BarryK
Wallpaper fixed
01micko,
Fantastic! I have uploaded it to the 'common' repo:

http://distro.ibiblio.org/quirky/pet_packages-common/wallpaper-0.6.1.pet